Skip to main content
Version: 3.4.0-rc.1

cmind/cluster/ragmanager/v1/internal_rag_quota_service.proto

Package: cmind.cluster.ragmanager.v1

Enums​

DenialReason​

DenialReason indicates why an ingestion request was denied.

ValueNumberDescription
DENIAL_REASON_UNSPECIFIED0
DENIAL_REASON_SERVICE_QUOTA_EXCEEDED1
DENIAL_REASON_TENANT_QUOTA_EXCEEDED2
DENIAL_REASON_CLUSTER_STORAGE_BLOCKED3
DENIAL_REASON_CLUSTER_STORAGE_UNKNOWN4
DENIAL_REASON_CLUSTER_MAPPING_MISSING5

Messages​

UpdateUsageRequest​

FieldTypeNumberDescription
idstring1
tenantIdstring2
usedBytesint643

UpdateUsageResponse​

FieldTypeNumberDescription
remainingBytesoptional int641Remaining quota in bytes. Absent if unlimited.
denialReasonoptional DenialReason2If set, ingestion was denied for the given reason. When denied, remaining_bytes should be ignored.

EnsureQuotaAvailableRequest​

FieldTypeNumberDescription
idstring1
tenantIdstring2

EnsureQuotaAvailableResponse​

FieldTypeNumberDescription
denialReasonoptional DenialReason1If set, ingestion was denied for the given reason.

Services​

InternalRagQuotaService​

InternalRagQuotaService provides cluster-internal endpoints without authentication. These methods are called by other services within the same namespace.

UpdateUsage​

POST /cmind.cluster.ragmanager.v1.InternalRagQuotaService/UpdateUsage

Request: UpdateUsageRequest

Response: UpdateUsageResponse

EnsureQuotaAvailable​

POST /cmind.cluster.ragmanager.v1.InternalRagQuotaService/EnsureQuotaAvailable

Request: EnsureQuotaAvailableRequest

Response: EnsureQuotaAvailableResponse